<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy scene.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d5/dd8/scene_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">scene.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dd8/scene_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d8/d35/gnuplot__link_8hh.html">gnuplot_link.hh</a>&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d9/d7f/bottom_surface_8hh.html">bottomSurface.hh</a>&quot;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../da/dcb/drone_8hh.html">drone.hh</a>&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d2/d9a/water_surface_8hh.html">waterSurface.hh</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="../../d6/db5/class_scene.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d6/db5/class_scene.html">Scene</a> : <span class="keyword">private</span> <a class="code" href="../../d5/d02/class_drone.html">Drone</a>, <span class="keyword">private</span> <a class="code" href="../../d0/ddf/classwater_surface.html">waterSurface</a>, <span class="keyword">private</span> <a class="code" href="../../d8/dc1/classbottom_surface.html">bottomSurface</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="../../d6/db5/class_scene.html#a5ff8fd7b9f15d5fc22f3aa9180d12e1e">   20</a></span>&#160;    <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a> <a class="code" href="../../d6/db5/class_scene.html#a5ff8fd7b9f15d5fc22f3aa9180d12e1e">link</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="../../d6/db5/class_scene.html#ac3919702a0546ad2056643adf19bd8fc">   26</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="../../d6/db5/class_scene.html#ac3919702a0546ad2056643adf19bd8fc">frames</a> = 120;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="../../d6/db5/class_scene.html#ad1a1aff0ee943bd21394c636fbe97410">   32</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="../../d6/db5/class_scene.html#ad1a1aff0ee943bd21394c636fbe97410">frameFreeze</a> = 16000;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="../../d6/db5/class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a>();</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d6/db5/class_scene.html#a3991345d3b38355077c2a8615fdeae05">checkCollision</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> &amp;vector);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a>(<span class="keywordtype">double</span> rotateAngle);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angleChange, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;distance);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;};</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_drone_html"><div class="ttname"><a href="../../d5/d02/class_drone.html">Drone</a></div><div class="ttdoc">Modeluje pojęcie drona.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/drone_8hh_source.html#l00009">drone.hh:9</a></div></div>
<div class="ttc" id="adrone_8hh_html"><div class="ttname"><a href="../../da/dcb/drone_8hh.html">drone.hh</a></div></div>
<div class="ttc" id="aclass_scene_html_ad1a1aff0ee943bd21394c636fbe97410"><div class="ttname"><a href="../../d6/db5/class_scene.html#ad1a1aff0ee943bd21394c636fbe97410">Scene::frameFreeze</a></div><div class="ttdeci">const int frameFreeze</div><div class="ttdoc">Czas pomiedzy poszczególnymi klatkami animacji.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd8/scene_8hh_source.html#l00032">scene.hh:32</a></div></div>
<div class="ttc" id="aclass_scene_html_a0a3d83da2246b9e98c9e04cef38e1778"><div class="ttname"><a href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">Scene::animation</a></div><div class="ttdeci">void animation(double rotateAngle)</div><div class="ttdoc">Realizuje animacje ruchu.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d33/scene_8cpp_source.html#l00039">scene.cpp:39</a></div></div>
<div class="ttc" id="aclassbottom_surface_html"><div class="ttname"><a href="../../d8/dc1/classbottom_surface.html">bottomSurface</a></div><div class="ttdoc">Modeluje pojęcie powierzchmi dna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d7f/bottom_surface_8hh_source.html#l00009">bottomSurface.hh:9</a></div></div>
<div class="ttc" id="aclass_scene_html_a5ff8fd7b9f15d5fc22f3aa9180d12e1e"><div class="ttname"><a href="../../d6/db5/class_scene.html#a5ff8fd7b9f15d5fc22f3aa9180d12e1e">Scene::link</a></div><div class="ttdeci">PzG::GnuplotLink link</div><div class="ttdoc">Zmienna do połączenia z gnuplotem.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd8/scene_8hh_source.html#l00020">scene.hh:20</a></div></div>
<div class="ttc" id="aclasswater_surface_html"><div class="ttname"><a href="../../d0/ddf/classwater_surface.html">waterSurface</a></div><div class="ttdoc">Modeluje pojęcie powierzchmi wody.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9a/water_surface_8hh_source.html#l00009">waterSurface.hh:9</a></div></div>
<div class="ttc" id="aclass_scene_html_ad10176d75a9cc0da56626f682d083507"><div class="ttname"><a href="../../d6/db5/class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene::Scene</a></div><div class="ttdeci">Scene()</div><div class="ttdoc">Konstruktor dla klasy Scene.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d33/scene_8cpp_source.html#l00010">scene.cpp:10</a></div></div>
<div class="ttc" id="aclass_scene_html"><div class="ttname"><a href="../../d6/db5/class_scene.html">Scene</a></div><div class="ttdoc">Modeluje pojęcie sceny.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd8/scene_8hh_source.html#l00015">scene.hh:15</a></div></div>
<div class="ttc" id="awater_surface_8hh_html"><div class="ttname"><a href="../../d2/d9a/water_surface_8hh.html">waterSurface.hh</a></div></div>
<div class="ttc" id="aclass_scene_html_ac3919702a0546ad2056643adf19bd8fc"><div class="ttname"><a href="../../d6/db5/class_scene.html#ac3919702a0546ad2056643adf19bd8fc">Scene::frames</a></div><div class="ttdeci">const int frames</div><div class="ttdoc">Liczba klatek w animacji.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd8/scene_8hh_source.html#l00026">scene.hh:26</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a></div><div class="ttdoc">Klasa realizuje interfejs do programu GNUPlot.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00125">gnuplot_link.hh:125</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="../../d5/db2/class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="abottom_surface_8hh_html"><div class="ttname"><a href="../../d9/d7f/bottom_surface_8hh.html">bottomSurface.hh</a></div></div>
<div class="ttc" id="aclass_scene_html_a3991345d3b38355077c2a8615fdeae05"><div class="ttname"><a href="../../d6/db5/class_scene.html#a3991345d3b38355077c2a8615fdeae05">Scene::checkCollision</a></div><div class="ttdeci">bool checkCollision(const Vector3D &amp;vector)</div><div class="ttdoc">Sprawdza kolizję drona z dnem lub powierzchnią wody.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d33/scene_8cpp_source.html#l00024">scene.cpp:24</a></div></div>
<div class="ttc" id="agnuplot__link_8hh_html"><div class="ttname"><a href="../../d8/d35/gnuplot__link_8hh.html">gnuplot_link.hh</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d5/dd8/scene_8hh.html">scene.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
